# Class Slf4jFormatter

java.lang.Object
java.util.logging.Formatter
com.databricks.jdbc.log.Slf4jFormatter

public class Slf4jFormatter extends Formatter
A custom `Formatter` implementation that formats log records in the usual SLF4J format. This is used by `JulLogger` to maintain consistency with SLF4J logging.

## Constructor Summary

Constructors
Constructor
Description
`Slf4jFormatter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`format(LogRecord record)`

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Slf4jFormatter

public Slf4jFormatter()

## Method Details

### format

public String format(LogRecord record)

Specified by:
  `format` in class `Formatter`